| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Functions
Func1.cpp File Reference
`#include "cantera/numerics/Func1.h"`
`#include "cantera/base/global.h"`
`#include "cantera/base/ctexceptions.h"`
`#include "cantera/base/stringUtils.h"`
Include dependency graph for Func1.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
Func1 & | newSumFunction (Func1 &f1, Func1 &f2)
shared_ptr< Func1 > | newSumFunction (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Sum of two functions.
Func1 & | newDiffFunction (Func1 &f1, Func1 &f2)
shared_ptr< Func1 > | newDiffFunction (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Difference of two functions.
Func1 & | newProdFunction (Func1 &f1, Func1 &f2)
shared_ptr< Func1 > | newProdFunction (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Product of two functions.
Func1 & | newRatioFunction (Func1 &f1, Func1 &f2)
shared_ptr< Func1 > | newRatioFunction (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Ratio of two functions.
Func1 & | newCompositeFunction (Func1 &f1, Func1 &f2)
shared_ptr< Func1 > | newCompositeFunction (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Composite of two functions.
Func1 & | newTimesConstFunction (Func1 &f, double c)
shared_ptr< Func1 > | newTimesConstFunction (shared_ptr< Func1 > f1, double c)
| Product of function and constant.
Func1 & | newPlusConstFunction (Func1 &f, double c)
shared_ptr< Func1 > | newPlusConstFunction (shared_ptr< Func1 > f1, double c)
| Sum of function and constant.